<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require "../conexion/conectar.php";
require "../libs/funciones.php";

$conexion = new CONDB();
$conexion->conectar();

$rfcemisor=$_POST['rfcemisor'];
$tipodocto=$_POST['tipodocto'];
$serie=$_POST['serie'];
$folio=$_POST['folio'];
$uuid=$_POST['uuid'];

$completaQuery="";

if($serie != "")
	$completaQuery.=" and serie='$serie'";

if($folio != "")
	$completaQuery.=" and folio=$folio";


if(!$resultCFDI = mysqli_query($conexion->CONEXION,"select adicional, asignado_a, comprobacion_prefijo, comprobacion_no from recibedoce where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' $completaQuery and uuid='$uuid' LIMIT 1")){
	?><script>alert("No se encontro el documento en la base de datos.\nIntente Nuevamente.")</script><?
	exit;
}

$tmpCFDI = mysqli_fetch_assoc($resultCFDI);

if(trim($tmpCFDI["comprobacion_prefijo"]) != "" || $tmpCFDI["comprobacion_no"] != 0){
	?><script>alert("El documento ya se encuentra comprobado.")</script><?
	exit;
}


$result = mysqli_query($conexion->CONEXION,"select xml,pdf,fecharecibido from detallerecibedoce where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' $completaQuery and uuid='$uuid' and 
numeroevento=(select max(numeroevento) as maxnumeroevento from detallerecibedoce where rfcemisor='$rfcemisor' and tipodocto='$tipodocto' $completaQuery and uuid='$uuid') LIMIT 1");

$tmp = mysqli_fetch_array($result,MYSQLI_ASSOC);
extract($tmp);

$year = substr($fecharecibido,0,4);
$mes = substr($fecharecibido,5,2);
				
$ruta = getINI("RUTA_RECIBIDOS=","../config.ini");
$InFile = end(explode("|",getINI("RUTAALMACEN=","../config.ini")));

$ruta=str_replace("<<RFCRECEPTOR>>",$_POST['rfcreceptor'],$ruta);
$rutaXML=$ruta."/".$year."/".$mes."/".$xml;
$rutaPDF=$ruta."/".$year."/".$mes."/".$pdf;

/*$xmlInFile = getLeftCadena($xml,"_").uniqid()."xml";
$pdfInFile = getLeftCadena($pdf,"_").uniqid()."pdf";*/

$rutaXMLInFile=$InFile.$xml;
$rutaPDFInFile=$InFile.$pdf;
$parteRuta = pathinfo($xml);
$rutaEmail=$InFile.$parteRuta["filename"].".email";

$rutaPDF=str_replace("\\\\\\","\\\\",$rutaPDF);
$rutaPDF=str_replace("\\\\","\\",$rutaPDF);

$rutaXML=str_replace("\\\\\\","\\\\",$rutaXML);
$rutaXML=str_replace("\\\\","\\",$rutaXML);

$ban=false;
if(is_file($rutaPDF)){
	if(copy($rutaPDF,$rutaPDFInFile)){
		generaPuntoEmail($tmpCFDI["asignado_a"],$rutaEmail);
		if(is_file($rutaXML)){
			if(copy($rutaXML,$rutaXMLInFile))
				$ban=true;
		}
	}
}else{
	if(is_file($rutaXML)){
		generaPuntoEmail($tmpCFDI["asignado_a"],$rutaEmail);
		if(copy($rutaXML,$rutaXMLInFile))
			$ban=true;
	}
}




$conexion->desconectar();
?>
<?if($ban){?>
	<script>alert("Archivos copiados correctamente.")</script>
<?}else{?>
	<script>alert("No se pudieron cargar los archivos.\nIntente Nuevamente.")</script>
<?}
function generaPuntoEmail($asignado_a,$rutaEmail){
	global $conexion;
	// Si ya esta asignado a un usuario, genero el .email
	if($asignado_a != ""){
		if(!$resultCorreo = mysqli_query($conexion->CONEXION,"select email from usuariosweb where username='$asignado_a'")){
			?><script>alert("Ocurrio un error al consultar el correo del usuario asignado al documento.")</script><?
			exit;
		}
		$tmpCorreo = mysqli_fetch_assoc($resultCorreo);
		if(!@file_put_contents($rutaEmail,$tmpCorreo["email"])){
			?><script>alert("Ocurrio un error al generar el .email.")</script><?
			exit;
		}
	}
}

?>
